package nlib.user.service.impl;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import egovframework.rte.fdl.cryptography.EgovPasswordEncoder;
import nlib.user.service.MemberService;
import nlib.user.service.NlibLoginVO;
import nlib.user.service.UserInfoService;

@Service("userInfoService")
public class UserInfoServiceImpl implements UserInfoService
{
    @Resource(name="userInfoDAO")
    private UserInfoDAO userInfoDAO;
    
    @Resource(name = "egovEnvPasswordEncoderService")
    EgovPasswordEncoder egovPasswordEncoder;
    


    public NlibLoginVO selectMyInfo(NlibLoginVO vo) throws Exception {
    	return userInfoDAO.selectMyInfo(vo);
    }
    public void updateMyInfo(NlibLoginVO vo) throws Exception {
    	userInfoDAO.updateMyInfo(vo);
    }
}